# -*- coding: iso_8859_1 -*-

import astro
import numpy as np
import matplotlib.pyplot as plt

#-------------------------------------------------------------------------------------
#	Code calculating the statistics of a series of images
#-------------------------------------------------------------------------------------

Folder = u"C:\\Documents and Settings\\Jrme\\Bureau\\21mar2011\\processing\\Chryseis\\"
Imagelist = ["chryseis-calibrated-" + str(i+1) + ".fit" for i in range(353)]

astro.display(astro.getdata(Folder, [Imagelist[0]]))

print
print 'Specify center of 3 zones (with size +/- 20 pixels) to be analysed'
x0 = np.float32(raw_input('x boundaries (vertical): x0 = '))
y0 = np.float32(raw_input('y boundaries (horizontal): y0 = '))
print
x1 = np.float32(raw_input('x boundaries (vertical): x1 = '))
y1 = np.float32(raw_input('y boundaries (horizontal): y1 = '))
print
x2 = np.float32(raw_input('x boundaries (vertical): x2 = '))
y2 = np.float32(raw_input('y boundaries (horizontal): y2 = '))
print
size = 20

#-------------------------------------------------------------------------------------
#loading images
diff1 = []
diff2 = []

for i in range(len(Imagelist)):
	images = astro.getdata(Folder, [Imagelist[i]])

	#calculating diff
	mean0 = np.mean(images[x0-size:x0+size+1,y0-size:y0+size+1].flatten())
	mean1 = np.mean(images[x1-size:x1+size+1,y1-size:y1+size+1].flatten())
	mean2 = np.mean(images[x2-size:x2+size+1,y2-size:y2+size+1].flatten())

	diff1.append(mean1-mean0)
	diff2.append(mean2-mean0)
	
plt.figure()
plt.plot(diff1,label='mean1-mean0')
plt.plot(diff2,label='mean2-mean0')
plt.legend()
plt.grid()
plt.show()
raw_input('Press Enter to close')